Skip to content

Add work items to module ​

POST/api/v1/workspaces/{workspace_slug}/projects/{project_id}/modules/{module_id}/module-issues/

Add multiple work items to a module, or move them from another module. Plane creates and updates the links in bulk and tracks the activity.

Path parameters ​

module_id:requiredstring

The unique identifier of the module.

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

issues:requiredarray

List of issue IDs to add to the module.

Scopes ​

projects.modules:write

Add work items to module
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/modules/module-uuid/module-issues/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "issues": [
    "550e8400-e29b-41d4-a716-446655440000",
    "550e8400-e29b-41d4-a716-446655440000"
  ]
}'
Response200
json
[
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "module": "550e8400-e29b-41d4-a716-446655440000",
    "issue": "550e8400-e29b-41d4-a716-446655440000",
    "sub_issues_count": 2,
    "created_at": "2024-01-01T00:00:00Z",
    "updated_at": "2024-01-01T00:00:00Z"
  }
]